org.keycloak.services

## Class DefaultKeycloakSessionFactory

- java.lang.Object
- - org.keycloak.services.DefaultKeycloakSessionFactory

- All Implemented Interfaces:
    KeycloakSessionFactory

      public class DefaultKeycloakSessionFactory
      extends Object
      implements KeycloakSessionFactory

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultKeycloakSessionFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `KeycloakSession` | `create()`
    `List<ProviderFactory>` | `getProviderFactories(Class<? extends Provider> clazz)`
    `<T extends Provider> ProviderFactory<T>` | `getProviderFactory(Class<T> clazz)`
    `<T extends Provider> ProviderFactory<T>` | `getProviderFactory(Class<T> clazz, String id)`
    `void` | `init()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultKeycloakSessionFactory

          public DefaultKeycloakSessionFactory()

  - ### Method Detail

    - #### init

          public void init()

    - #### create

          public KeycloakSession create()

      Specified by:
        `create` in interface `KeycloakSessionFactory`

    - #### getProviderFactory

          public <T extends Provider> ProviderFactory<T> getProviderFactory(Class<T> clazz)

      Specified by:
        `getProviderFactory` in interface `KeycloakSessionFactory`

    - #### getProviderFactory

          public <T extends Provider> ProviderFactory<T> getProviderFactory(Class<T> clazz,
                                                                   String id)

      Specified by:
        `getProviderFactory` in interface `KeycloakSessionFactory`

    - #### getProviderFactories

          public List<ProviderFactory> getProviderFactories(Class<? extends Provider> clazz)

      Specified by:
        `getProviderFactories` in interface `KeycloakSessionFactory`

    - #### close

          public void close()

      Specified by:
        `close` in interface `KeycloakSessionFactory`

Copyright © 2015. All Rights Reserved.